package com.hzs.common.core.enums.retail;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 转账会员白名单枚举
 */
@AllArgsConstructor
@Getter
public enum ETradeMemberWhite {
    /**
     * 自己
     */
    SELF(1, "正常", 0),

    /**
     * 血缘伞下
     */
    BLOOD_UNDER_UMBRELLA(2, "血缘伞下", 0),


    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;


    /**
     * 根据值查询枚举
     *
     * @param value 值
     * @return EActModule
     */
    public static String getByValue(int value) {
        for (ETradeMemberWhite eTradeMemberWhite : values()) {
            if (eTradeMemberWhite.getValue() == value) {
                return eTradeMemberWhite.getLabel();
            }
        }
        return null;
    }
}
